POST /docmee/v1/api/ppt/generateContent
Method: POSTEndpoint: /docmee/v1/api/ppt/generateContent
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
outlineMarkdown
string
Required
asyncGenPptx
boolean
Required
Example
{
"outlineMarkdown"
:
"string"
,
"asyncGenPptx"
:
true
}Example Request
Shell
bash
curl --location --request POST '/docmee/v1/api/ppt/generateContent' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"outlineMarkdown": "string",
"asyncGenPptx": true
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"text": "",
"status": 3, // provider-specific note
// provider-specific note
"pptId": "xxx", // provider-specific note
"total": 23, // provider-specific note
"current": 1 // provider-specific note
}
{ "text": "#", "status": 3 }
{ "text": " ", "status": 3 }
// provider-specific example normalized for English documentation
...
{
"text": "",
"status": 4,
"result": {
"level": 1,
// provider-specific example normalized for English documentation
"children": [
{
"level": 2,
// provider-specific example normalized for English documentation
"children": [
{
"level": 3,
// provider-specific example normalized for English documentation
"children": [
{
"level": 4,
// provider-specific example normalized for English documentation
"children": [
{
"level": 0,
// provider-specific example normalized for English documentation
}
]
}
]
}
]
}
]
}
}